CVE-2006-2157
CVSS7.5
发布时间 :2006-05-03 06:02:00
修订时间 :2012-10-22 00:00:00
NMCO    

[原文]SQL injection vulnerability in gallery.php in Plogger Beta 2.1 and earlier allows remote attackers to execute arbitrary SQL commands via the id parameter, when the level is set to "slideshow". NOTE: This is a different vulnerability than CVE-2005-4246.


[CNNVD]Plogger Beta gallery.php SQL注入漏洞(CNNVD-200605-042)

        Plogger Beta 2.1及之前版本的gallery.php存在SQL注入漏洞。当等级设为"slideshow"时,远程攻击者可以借助id参数,执行任意SQL指令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2157
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2157
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-042
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/26273
(UNKNOWN)  XF  plogger-gallery-sql-injection(26273)
http://retrogod.altervista.org/plogger_b21_sql_xpl.html
(UNKNOWN)  MISC  http://retrogod.altervista.org/plogger_b21_sql_xpl.html

- 漏洞信息

Plogger Beta gallery.php SQL注入漏洞
高危 SQL注入
2006-05-03 00:00:00 2006-05-03 00:00:00
远程  
        Plogger Beta 2.1及之前版本的gallery.php存在SQL注入漏洞。当等级设为"slideshow"时,远程攻击者可以借助id参数,执行任意SQL指令。

- 公告与补丁

        

- 漏洞信息

25644
Plogger gallery.php id Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Plogger contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the gallery.php script not properly sanitizing user-supplied input to the 'id' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database, allowing for the manipulation or disclosure of arbitrary data.

- 时间线

2006-03-28 Unknow
Unknow Unknow

- 解决方案

OSVDB is not currently aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站